# Copyright 2016 Spanish National Research Council
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

from OpenSSL import crypto

user_cert = """-----BEGIN CERTIFICATE-----
MIIDkDCCAnigAwIBAgICEAEwDQYJKoZIhvcNAQELBQAwWTELMAkGA1UEBhMCRVMx
DTALBgNVBAgMBEphZW4xEjAQBgNVBAcMCUd1YXJyb21hbjEnMCUGA1UECgweQ29t
cGxldGVseSBGYWtlIGFuZCBVc2VsZXNzIENBMB4XDTE2MDcxMzA4MjM0N1oXDTI2
MDcxMDA4MjM0N1owQDELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZha2UgT3JnMR4w
HAYDVQQDDBVFbGVuYSBOaXRvIGRlbCBCb3NxdWUwggEiMA0GCSqGSIb3DQEBAQUA
A4IBDwAwggEKAoIBAQDH0O59PdFTkOpmz3Ip+EdP0KvlUssPP0TTcAzXf15LwUCc
WDZrca0Fgd/hMifDPfHY/EvKMYplv4wy/zXKMazqdH+aIkR6OrDoyhT7nza2CaRV
BsRG7uNFXc+x+iIuBXYULVw6tjukNR4hT2soHPafst0cZNsOkwMMsefj6wr7umSi
bCM1h4RmnAJJCYDRXgCeCrFciSEIdzeYmR3qBu7zoiknUDu8YQ9+TLEN2MMkjrSQ
erDwweiMxAGzT9LGSFh7ycuH2W1DFhs6lxVBnepG42q9H7IlvohP9G+Oim+bJFIW
G+zVr+bvir1Twn6+HOhGkVqmtLL5KDgAsJNQJZRlAgMBAAGjezB5MAkGA1UdEwQC
MAAwLAYJYIZIAYb4QgENBB8WHU9wZW5TU0wgR2VuZXJhdGVkIENlcnRpZmljYXRl
MB0GA1UdDgQWBBQ0x6l1huRPASe8aZUr4Qv3CWFQHzAfBgNVHSMEGDAWgBQXMm2I
Z1JvKL2ICnYjHA96zJ2kaDANBgkqhkiG9w0BAQsFAAOCAQEAwRKmaWW0ujwmTK3+
pVgmCo4C4OXoXC37+0bnTC6YGw8l6lUtE4Yq7f3scSD/IyrwdWuRqEmEYN9im3L0
0G9niCOqCN51eTzor1TPya0OWCbitA9yZA4RaRy+zIKkoBvPpUdTPQjSQkXBEjqs
NPdWBZNKQJeXtpMrXxSRpUzekBFQOPxIIrI62/MPiarZOMTwSdIzEy1S7/QK4YA2
EEoVNAr8WUkkxaq0SOQWR9YNKqNLZtVlIGjQ+HJhgtlbbcVF3EcfEuYjMEurMHTO
f5uvWQfeLR1cvpLhqf3UoFLB6vg+/KUHAOZskqpxGi/hK+YNBJKAAnsPuQRSJYB6
1Ddn3A==
-----END CERTIFICATE-----"""

user_dn = '/C=ES/O=Fake Org/CN=Elena Nito del Bosque'

aux = crypto.load_certificate(crypto.FILETYPE_PEM, user_cert)
user_cert_serial_number = aux.get_serial_number()

ca = """-----BEGIN CERTIFICATE-----
MIIDhTCCAm2gAwIBAgIJAPbs9+KkMtB7MA0GCSqGSIb3DQEBCwUAMFkxCzAJBgNV
BAYTAkVTMQ0wCwYDVQQIDARKYWVuMRIwEAYDVQQHDAlHdWFycm9tYW4xJzAlBgNV
BAoMHkNvbXBsZXRlbHkgRmFrZSBhbmQgVXNlbGVzcyBDQTAeFw0xNjA3MTMwODAy
MzRaFw0yNjA3MTEwODAyMzRaMFkxCzAJBgNVBAYTAkVTMQ0wCwYDVQQIDARKYWVu
MRIwEAYDVQQHDAlHdWFycm9tYW4xJzAlBgNVBAoMHkNvbXBsZXRlbHkgRmFrZSBh
bmQgVXNlbGVzcyBDQTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAPYz
Vql8LUXecxrSLur7SlrQ4yUjo+T2rokyFB8CmyMJVkKXByvYgFK8TA6qSCRP/8oI
epvkJvLTsZ6ZsVp3/26Tg/mmR2UJKpuQUdb8fABfndvmJI3jcc0EfTxjFKR7EdgM
ddmYJczTXA7gaLkbrEeNIYxSAjTwfRwiapY2+TMKeFoskkS7dWugVn1EwhltWFax
9dLfdYxMsXIjbeDxhXHvS5pMN1THqDopLetdYtUowyit/EODW7h5WpVdpshipYEd
Ci3cF0lGN/9TIyrAMlYrxZGL7Z4olQgT0fuZ6u4qJOSfyTjgZu9GrvU847Xjevm+
ZsvX3+z83B7la9R7lKUCAwEAAaNQME4wHQYDVR0OBBYEFBcybYhnUm8ovYgKdiMc
D3rMnaRoMB8GA1UdIwQYMBaAFBcybYhnUm8ovYgKdiMcD3rMnaRoMAwGA1UdEwQF
MAMBAf8wDQYJKoZIhvcNAQELBQADggEBAOu3MAlJcZQHt5fkAq7yTGH1KBkXQ7G4
NplezMk+fIDtdihFUrHptVKv9o/c4qIEOI4sjnfktA5bMcAosufU8WuwOi3IefFM
wQfO0whdGr56O4W6bQL5EvgpiYDt+2bMiltOZFokNZqNc+TbgLy1NQRHZdC0do0d
K8LBSfhJIflDKLxChfXixUezqDcRDZT8kdeHnDUk05VqefVzf81nA1Ui1SBs18UV
7fRi7ttPzAB+qq2I1rofrxMUKvBeu28sHK4VWZgXyIxsBR2K8h+LeabIHhvD0F8j
z2Oc2RHPUs/DACKgSXdMcI//8SJ3lByk+pCrlH6I0c07Ux8q9c6x4RM=
-----END CERTIFICATE-----"""

ca_empty_crl = """-----BEGIN X509 CRL-----
MIIBsjCBmwIBATANBgkqhkiG9w0BAQsFADBZMQswCQYDVQQGEwJFUzENMAsGA1UE
CAwESmFlbjESMBAGA1UEBwwJR3VhcnJvbWFuMScwJQYDVQQKDB5Db21wbGV0ZWx5
IEZha2UgYW5kIFVzZWxlc3MgQ0EXDTE2MDcxMzA4MTg1NloXDTE2MDgxMjA4MTg1
NlqgDjAMMAoGA1UdFAQDAgEBMA0GCSqGSIb3DQEBCwUAA4IBAQA4TnPr8lBxwbT6
vrHZGhiTFv7gU42yfYM88cO+Ok/8CuNV75W6dM73XfJIo0WIZsCLpZxeTaVXtmpL
wLIUo33mPJGNMPPlNpyWvoofhJr+awNsjprIdaoZlx7Hm4BvpfTto2hQuFsr7O+f
VoOirudOqe0XCdWYmDrGNIUD0beweR7YnxBxILk4DgFoD3S7yqnBCpaaL+0rRPlR
GZh2eOK4sGtP+DHVKO+mVNosNh39mVXL6iYPCV5hb0XQ9lw8ELoPTmBw99K3JJD2
n084lAvjzAHJpUUZNUIwLj8tEV6S1t3KDdvXNWjrpbx4dYBQl29020cHSXN4NXd0
kNKDkdED
-----END X509 CRL-----"""

ca_crl = """-----BEGIN X509 CRL-----
MIIByTCBsgIBATANBgkqhkiG9w0BAQsFADBZMQswCQYDVQQGEwJFUzENMAsGA1UE
CAwESmFlbjESMBAGA1UEBwwJR3VhcnJvbWFuMScwJQYDVQQKDB5Db21wbGV0ZWx5
IEZha2UgYW5kIFVzZWxlc3MgQ0EXDTE2MDcxMzA5MjA0M1oXDTE2MDgxMjA5MjA0
M1owFTATAgIQARcNMTYwNzEzMDkyMDI1WqAOMAwwCgYDVR0UBAMCAQIwDQYJKoZI
hvcNAQELBQADggEBADW/FCr2rVTFeGIMu59i1RlH4a60XzYHFcDAI9rxjeBuo+yF
6wIRLvqWck39TzB6aPcfE+0jI63hikwAWEsvXxPlDFDxnAAKARAG9OhQEGeChhxP
vZSJQ9vAFxfs62KDIreoh4ECkJd3Wc3trXRR5yHAG2P/omlSR+cJnRPCDgeDa9el
N0MZ/LvaW6b5V0zZRaYtEOvGsaDa13n6Y2STasmEjRowdHhRCwUqYlzTuns53mj2
RhQfnvGITm2PC9Nlc4GKOZsgZjliYkkMa4d/p7mxhcGqyhviC9lxftpMxOmpCNpd
wgHYGcDuUlbduTLKzsU1uOOAOZIlo7DI8ayq9yk=
-----END X509 CRL-----"""

user_proxies = {
    "dteam": """-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----""",
    "dteam expired": """-----BEGIN CERTIFICATE-----
MIIJHDCCCASgAwIBAgIFAIyVDwcwDQYJKoZIhvcNAQELBQAwQDELMAkGA1UEBhMC
RVMxETAPBgNVBAoMCEZha2UgT3JnMR4wHAYDVQQDDBVFbGVuYSBOaXRvIGRlbCBC
b3NxdWUwHhcNMTYwNzEzMDgyMzA1WhcNMTYwNzEzMDgyODA1WjBVMQswCQYDVQQG
EwJFUzERMA8GA1UECgwIRmFrZSBPcmcxHjAcBgNVBAMMFUVsZW5hIE5pdG8gZGVs
IEJvc3F1ZTETMBEGA1UEAxMKMjM1ODU3ODk1MTCBnzANBgkqhkiG9w0BAQEFAAOB
jQAwgYkCgYEAp4S0+qs9BfU5Rau0P0+TH77c6NrjPsUvQwqtNcH1qus8LxDD0Dk7
YgMSwbg0dP8YIJCo8iJIM3JaJ1bz2IMkEkOpYyMtFJ9MHEWc+4KNB/qnDqDghfvO
pkATqKpQUhiYwZQfDsPs/tG+eqhWAJpZlUya+kVCAaxQdmG0wuzZ++UCAwEAAaOC
BoowggaGMIIGMQYKKwYBBAG+RWRkBQSCBiEwggYdMIIGGTCCBhUwggT9AgEBMEyg
SjBEpEIwQDELMAkGA1UEBhMCRVMxETAPBgNVBAoMCEZha2UgT3JnMR4wHAYDVQQD
DBVFbGVuYSBOaXRvIGRlbCBCb3NxdWUCAhABoFwwWqRYMFYxCzAJBgNVBAYTAkVT
MScwJQYDVQQKDB5Db21wbGV0ZWx5IEZha2UgYW5kIFVzZWxlc3MgQ0ExHjAcBgNV
BAMMFWhvc3Qtdm9tcy5leGFtcGxlLm9yZzANBgkqhkiG9w0BAQsFAAIBATAiGA8y
MDE2MDcxMzA4MjgwNVoYDzIwMTYwNzEzMDgyODA1WjAgMB4GCisGAQQBvkVkZAQx
EDAOoAqGCGR0ZWFtOi8vMAAwggPyMIIDwgYKKwYBBAG+RWRkCgSCA7IwggOuMIID
qjCCA6YwggKOoAMCAQICAhACMA0GCSqGSIb3DQEBCwUAMFkxCzAJBgNVBAYTAkVT
MQ0wCwYDVQQIDARKYWVuMRIwEAYDVQQHDAlHdWFycm9tYW4xJzAlBgNVBAoMHkNv
bXBsZXRlbHkgRmFrZSBhbmQgVXNlbGVzcyBDQTAeFw0xNjA3MTMwODI2NTZaFw0y
NjA3MTAwODI2NTZaMFYxCzAJBgNVBAYTAkVTMScwJQYDVQQKDB5Db21wbGV0ZWx5
IEZha2UgYW5kIFVzZWxlc3MgQ0ExHjAcBgNVBAMMFWhvc3Qtdm9tcy5leGFtcGxl
Lm9yZzCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKy1hMLP2i/r7tpT
EyeDegRmOX6pGknlqFQZA8dmspZfkE8cacF9eJoQ0EdAL19X2JEUA8SmYThE7XwL
9/Rd+2DfrYqAXxDaKQ4st4p2dn+zAfEqp1fHU7KmTPHHM6TvLvxXNOkE4NFJEZl6
xGOGQNmKeSbwjw1BxvJHQNb+w3bSt2sBOYFfEymoXo/1NcvZv21ElVRHyjLAkugK
v3c7j+kJDwczKTKsoVerKx6jM6Y5xn+FcXgdLw3ZANsT8mV1q80tvvI+tU4FFH9O
sQnE8h+yognDj+nInraHiB8MnuoGl18LarrOnNeUEuuVqeu+rOhVC3n5tQBDnvV1
y8ny1osCAwEAAaN7MHkwCQYDVR0TBAIwADAsBglghkgBhvhCAQ0EHxYdT3BlblNT
TCBHZW5lcmF0ZWQgQ2VydGlmaWNhdGUwHQYDVR0OBBYEFFk8KWqrsUTZh23IIRd4
UwRmoN65MB8GA1UdIwQYMBaAFBcybYhnUm8ovYgKdiMcD3rMnaRoMA0GCSqGSIb3
DQEBCwUAA4IBAQBan6WiJqISL3to8l7VBwvEGxHub1ILBujHuMEWjPKvVQVeLyqD
vxEDEY3A4TczUTvrXJH2yE/4datT8Y5KC+CQjWnp2quPaTJWZ+y8w105xOBTAV5x
oeJ7cuagYdsODT/ngubjf0emHo9qULrwB2OqGvDC0aEFYgo2MgTyhWsyD/Hbek/G
rfbOmeQTXdQVy4wG+/hydMbNaa9EwUHTf0O+bghzyQiKSHXGP5SlQJo07to5Bh9Q
emzBOPvzUHeML1WP/CntdONn8sRnRj0/bxIdR7cuXXnFFdSlhSeITQBAdrj400QS
c8CY4U/cXEX28aZGvQENYX0L9Kw/B/uA60XbMAkGA1UdOAQCBQAwHwYDVR0jBBgw
FoAUWTwpaquxRNmHbcghF3hTBGag3rkwDQYJKoZIhvcNAQELBQADggEBADDNa4u+
Ld9ipB+5as8KI7d4dq0vFVCSi9RaJZrwiMppyU8qF4zm3vETgO7T8NHwnPH59szL
l8l2X26TnKZrFkFLQwytO5e3AlQF6GoDAWu6Qz9HJT5Z07yy+sQTXYYG1nfST/oE
BjJ8EvLsLirGdQ/qsQR131RL1bUkrQvcyqUmKieqVoZcNO/A9a9cUSDw+kNo5hx7
ShtN6jSQWYMf4u4TnljppTrAVwdfTMXmwSER2DFRr6L4RL3vPBwJmXoz41GO3Lsd
+Gki74lYQDa64tGW/zyw4sIMwgkLGv28afcWHtDg4WG02MD8hKUsrXnVtKVL9Ge4
JoJD1uKyp+AtEqowDAYDVR0TAQH/BAIwADAfBgNVHSMEGDAWgBQ0x6l1huRPASe8
aZUr4Qv3CWFQHzAgBggrBgEFBQcBDgEB/wQRMA8CAQEwCgYIKwYBBQUHFQEwDQYJ
KoZIhvcNAQELBQADggEBAJhxc0iDRWO1d9uGGUojAd2wUEjgL3qj2qTADL0IPjVH
ei+uMeZ+uVW/+TOylHH+Mt8xVfkSBMWA+7S2jteb8j406WrIdxC/gvDq/TEglsGj
ucyjAjAPS3b5Ukbk+NE5f701T1m0h+E9yVtIDUaw1Uk7kLeZ8vkhDqSdQHr7baKO
cKd1c9KocymYqTLst1oa/QzB2vgRvkSVOXjnEHB78Gw7+Fwmbzdx0+u6D5ra3V20
oQ9SG2OHlcAPJFEbUVeXAVszuFul1xPrQaJRDCiP2x59025xEy7vH8hPKXiltL/Z
pkt9p+//FesxS7Vnql5VB5hLvRgpfx6Qyz3RqEc+Ls8=
-----END CERTIFICATE-----""",
    "dteam fqans": """-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----""",
    "not-supported-vo": """-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----""",
    "ops": """-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----""",
}

user_data = {
    "dteam": {
        'fqans': [],
        'not_after': '20210720163029Z',
        'not_before': '20160713083029Z',
        'serial': '01',
        'serverca': 'Unable to determine CA',
        'server': ('/C=ES/O=Completely Fake and Useless '
                   'CA/CN=host-voms.example.org'),
        'uri': '',
        'userca': '/C=ES/ST=Jaen/L=Guarroman/O=Completely Fake and Useless CA',
        'user': '/C=ES/O=Fake Org/CN=Elena Nito del Bosque',
        'version': 1,
        'voname': 'dteam',
    },
    "dteam fqans": {
        'fqans': ['/dteam/Role=foo/Capability=NULL'],
        'not_after': '20210720163141Z',
        'not_before': '20160713083141Z',
        'serial': '01',
        'serverca': 'Unable to determine CA',
        'server': ('/C=ES/O=Completely Fake and Useless '
                   'CA/CN=host-voms.example.org'),
        'uri': '',
        'userca': '/C=ES/ST=Jaen/L=Guarroman/O=Completely Fake and Useless CA',
        'user': '/C=ES/O=Fake Org/CN=Elena Nito del Bosque',
        'version': 1,
        'voname': 'dteam',
    }
}

user_vos = user_proxies.keys()
